"""
LEDの状態 | システムの状態
---- | ----
点灯 | 正常動作中
2回の短点灯 | カメラ関連の不具合
等間隔点滅 | クラウドとの通信失敗
"""

import os

LED_PATH = '/sys/class/leds/'

# Armadillo-IoT A6用
led_path = os.path.join(LED_PATH, 'red')

def camera_error():
    with open(os.path.join(led_path, 'trigger'), 'w') as f:
        f.write('heartbeat')

    while True:
        pass

def cloud_error():
    with open(os.path.join(led_path, 'trigger'), 'w') as f:
        f.write('timer')

    while True:
        pass
