#!/bin/sh

EC2_USER=$1

set -e

apt update
apt upgrade -y
apt install -y apache2 libapache2-mod-wsgi-py3 python3 python3-pip

pip3 install boto3 flask

mv /home/$EC2_USER/ec2_files/flask /var/www/
chown -R www-data:www-data /var/www/flask

mv /home/$EC2_USER/ec2_files/flask.conf /etc/apache2/sites-available/
sed -i -e 's/ServerTokens OS/ServerTokens Prod/g' /etc/apache2/conf-available/security.conf
sed -i -e 's/ServerSignature On/ServerSignature Off/g' /etc/apache2/conf-available/security.conf

a2dissite 000-default.conf
a2ensite flask.conf

systemctl reload apache2
